package com.ruoyi.orderPlan.domain;

import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 状态跟踪列表信息
 */
public class FtmsorderbillscarsExcel {
    private Long id;

    @Excel(name = "运单号")
    private String orderNo;

    /** 来源ID */
    private String srcMId;

    public String getSrcMId() {
        return srcMId;
    }

    public void setSrcMId(String srcMId) {
        this.srcMId = srcMId;
    }

    @Excel(name = "提单号")
    private String mblno;

    @Excel(name = "车号")
    private String carregNo;

    @Excel(name = "司机")
    private String driverName;

    @Excel(name = "司机电话")
    private String driverTel;

    @Excel(name = "状态")
    private String orderName;

    private String orderStatus;

    @Excel(name = "托运人")
    private String corpId;

    @Excel(name = "贸易方式")
    private String billType;

    @Excel(name = "运输方式")
    private String transType;

    @Excel(name = "运输性质")
    private String transProp;

    @Excel(name = "品名")
    private String goodsId;

    @Excel(name = "重量")
    private String cntrWeight;

    private String qtyPlan;

    private String weightPlan;

    @Excel(name = "船名")
    private String ysl;

    @Excel(name = "航次")
    private String voy;

    @Excel(name = "提箱场站")
    private String loadAddr;

    private Date tLoadDate;

    private String loadAttn;

    private String loadAttntel;

    @Excel(name = "装货地")
    private String mdLoadAddr;

    private Date tMdLoadDate;

    private String mdLoadAttn;

    private String mdLoadAttnTel;

    @Excel(name = "卸货地")
    private String unLoadAddr;

    private String tUnLoadDate;

    private String unLoadAttn;

    private String unLoadAttnTel;

    @Excel(name = "柜型")
    private String cntrId;

    @Excel(name = "起运港")
    private String polId;

    @Excel(name = "目的港")
    private String podId;

    @Excel(name = "接单日期")
    private Date acceptDate;

    @Excel(name = "柜量")
    private Long cntrQty;

    private Date offData;

    @Excel(name = "提箱日期")
    private Date loadDate;

    @Excel(name = "装卸日期")
    private Date mdLoadDate;

    @Excel(name = "还柜日期")
    private Date unLoadDate;

    private Date waybillDate;

    private String waybillRemarks;

    @Excel(name = "油气费")
    private BigDecimal oilAmt;

    @Excel(name = "其他费用")
    private BigDecimal costOth;

    @Excel(name = "单趟提成")
    private BigDecimal driverbonus;

    @Excel(name = "备注")
    private String costRemarks;

    @Excel(name = "提箱费")
    private BigDecimal costomAmt06;

    @Excel(name = "港杂费")
    private BigDecimal costomAmt05;

    @Excel(name = "吊装费")
    private BigDecimal costomAmt04;

    @Excel(name = "修洗费")
    private BigDecimal costomAmt03;

    @Excel(name = "进口其他费用")
    private BigDecimal costomAmt02;

    @Excel(name = "出口其他费用")
    private BigDecimal costomAmt01;

    @Excel(name = "进口费用备注")
    private String costomStr02;

    @Excel(name = "出口费用备注")
    private String costomStr01;

    @Excel(name = "主单号")
    private String mBillNo;

    @Excel(name = "单据类型")
    private String billKind;

    public String getmBillNo() {
        return mBillNo;
    }

    public void setmBillNo(String mBillNo) {
        this.mBillNo = mBillNo;
    }

    public String getBillKind() {
        return billKind;
    }

    public void setBillKind(String billKind) {
        this.billKind = billKind;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getMblno() {
        return mblno;
    }

    public void setMblno(String mblno) {
        this.mblno = mblno;
    }

    public String getCarregNo() {
        return carregNo;
    }

    public void setCarregNo(String carregNo) {
        this.carregNo = carregNo;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getDriverTel() {
        return driverTel;
    }

    public void setDriverTel(String driverTel) {
        this.driverTel = driverTel;
    }

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getTransType() {
        return transType;
    }

    public void setTransType(String transType) {
        this.transType = transType;
    }

    public String getTransProp() {
        return transProp;
    }

    public void setTransProp(String transProp) {
        this.transProp = transProp;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getCntrWeight() {
        return cntrWeight;
    }

    public void setCntrWeight(String cntrWeight) {
        this.cntrWeight = cntrWeight;
    }

    public String getQtyPlan() {
        return qtyPlan;
    }

    public void setQtyPlan(String qtyPlan) {
        this.qtyPlan = qtyPlan;
    }

    public String getWeightPlan() {
        return weightPlan;
    }

    public void setWeightPlan(String weightPlan) {
        this.weightPlan = weightPlan;
    }

    public String getYsl() {
        return ysl;
    }

    public void setYsl(String ysl) {
        this.ysl = ysl;
    }

    public String getVoy() {
        return voy;
    }

    public void setVoy(String voy) {
        this.voy = voy;
    }

    public String getLoadAddr() {
        return loadAddr;
    }

    public void setLoadAddr(String loadAddr) {
        this.loadAddr = loadAddr;
    }

    public Date gettLoadDate() {
        return tLoadDate;
    }

    public void settLoadDate(Date tLoadDate) {
        this.tLoadDate = tLoadDate;
    }

    public String getLoadAttn() {
        return loadAttn;
    }

    public void setLoadAttn(String loadAttn) {
        this.loadAttn = loadAttn;
    }

    public String getLoadAttntel() {
        return loadAttntel;
    }

    public void setLoadAttntel(String loadAttntel) {
        this.loadAttntel = loadAttntel;
    }

    public String getMdLoadAddr() {
        return mdLoadAddr;
    }

    public void setMdLoadAddr(String mdLoadAddr) {
        this.mdLoadAddr = mdLoadAddr;
    }

    public Date gettMdLoadDate() {
        return tMdLoadDate;
    }

    public void settMdLoadDate(Date tMdLoadDate) {
        this.tMdLoadDate = tMdLoadDate;
    }

    public String getMdLoadAttn() {
        return mdLoadAttn;
    }

    public void setMdLoadAttn(String mdLoadAttn) {
        this.mdLoadAttn = mdLoadAttn;
    }

    public String getMdLoadAttnTel() {
        return mdLoadAttnTel;
    }

    public void setMdLoadAttnTel(String mdLoadAttnTel) {
        this.mdLoadAttnTel = mdLoadAttnTel;
    }

    public String getUnLoadAddr() {
        return unLoadAddr;
    }

    public void setUnLoadAddr(String unLoadAddr) {
        this.unLoadAddr = unLoadAddr;
    }

    public String gettUnLoadDate() {
        return tUnLoadDate;
    }

    public void settUnLoadDate(String tUnLoadDate) {
        this.tUnLoadDate = tUnLoadDate;
    }

    public String getUnLoadAttn() {
        return unLoadAttn;
    }

    public void setUnLoadAttn(String unLoadAttn) {
        this.unLoadAttn = unLoadAttn;
    }

    public String getUnLoadAttnTel() {
        return unLoadAttnTel;
    }

    public void setUnLoadAttnTel(String unLoadAttnTel) {
        this.unLoadAttnTel = unLoadAttnTel;
    }

    public String getCntrId() {
        return cntrId;
    }

    public void setCntrId(String cntrId) {
        this.cntrId = cntrId;
    }

    public String getPolId() {
        return polId;
    }

    public void setPolId(String polId) {
        this.polId = polId;
    }

    public String getPodId() {
        return podId;
    }

    public void setPodId(String podId) {
        this.podId = podId;
    }

    public Date getAcceptDate() {
        return acceptDate;
    }

    public void setAcceptDate(Date acceptDate) {
        this.acceptDate = acceptDate;
    }

    public Long getCntrQty() {
        return cntrQty;
    }

    public void setCntrQty(Long cntrQty) {
        this.cntrQty = cntrQty;
    }

    public Date getOffData() {
        return offData;
    }

    public void setOffData(Date offData) {
        this.offData = offData;
    }

    public Date getLoadDate() {
        return loadDate;
    }

    public void setLoadDate(Date loadDate) {
        this.loadDate = loadDate;
    }

    public Date getMdLoadDate() {
        return mdLoadDate;
    }

    public void setMdLoadDate(Date mdLoadDate) {
        this.mdLoadDate = mdLoadDate;
    }

    public Date getUnLoadDate() {
        return unLoadDate;
    }

    public void setUnLoadDate(Date unLoadDate) {
        this.unLoadDate = unLoadDate;
    }

    public Date getWaybillDate() {
        return waybillDate;
    }

    public void setWaybillDate(Date waybillDate) {
        this.waybillDate = waybillDate;
    }

    public String getWaybillRemarks() {
        return waybillRemarks;
    }

    public void setWaybillRemarks(String waybillRemarks) {
        this.waybillRemarks = waybillRemarks;
    }

    public BigDecimal getOilAmt() {
        return oilAmt;
    }

    public void setOilAmt(BigDecimal oilAmt) {
        this.oilAmt = oilAmt;
    }

    public BigDecimal getCostOth() {
        return costOth;
    }

    public void setCostOth(BigDecimal costOth) {
        this.costOth = costOth;
    }

    public BigDecimal getDriverbonus() {
        return driverbonus;
    }

    public void setDriverbonus(BigDecimal driverbonus) {
        this.driverbonus = driverbonus;
    }

    public String getCostRemarks() {
        return costRemarks;
    }

    public void setCostRemarks(String costRemarks) {
        this.costRemarks = costRemarks;
    }

    public BigDecimal getCostomAmt06() {
        return costomAmt06;
    }

    public void setCostomAmt06(BigDecimal costomAmt06) {
        this.costomAmt06 = costomAmt06;
    }

    public BigDecimal getCostomAmt05() {
        return costomAmt05;
    }

    public void setCostomAmt05(BigDecimal costomAmt05) {
        this.costomAmt05 = costomAmt05;
    }

    public BigDecimal getCostomAmt04() {
        return costomAmt04;
    }

    public void setCostomAmt04(BigDecimal costomAmt04) {
        this.costomAmt04 = costomAmt04;
    }

    public BigDecimal getCostomAmt03() {
        return costomAmt03;
    }

    public void setCostomAmt03(BigDecimal costomAmt03) {
        this.costomAmt03 = costomAmt03;
    }

    public BigDecimal getCostomAmt02() {
        return costomAmt02;
    }

    public void setCostomAmt02(BigDecimal costomAmt02) {
        this.costomAmt02 = costomAmt02;
    }

    public BigDecimal getCostomAmt01() {
        return costomAmt01;
    }

    public void setCostomAmt01(BigDecimal costomAmt01) {
        this.costomAmt01 = costomAmt01;
    }

    public String getCostomStr02() {
        return costomStr02;
    }

    public void setCostomStr02(String costomStr02) {
        this.costomStr02 = costomStr02;
    }

    public String getCostomStr01() {
        return costomStr01;
    }

    public void setCostomStr01(String costomStr01) {
        this.costomStr01 = costomStr01;
    }

    @Override
    public String toString() {
        return "FtmsorderbillscarsExcel{" +
                "id=" + id +
                ", orderNo='" + orderNo + '\'' +
                ", mblno='" + mblno + '\'' +
                ", carregNo='" + carregNo + '\'' +
                ", driverName='" + driverName + '\'' +
                ", driverTel='" + driverTel + '\'' +
                ", orderName='" + orderName + '\'' +
                ", orderStatus='" + orderStatus + '\'' +
                ", corpId='" + corpId + '\'' +
                ", billType='" + billType + '\'' +
                ", transType='" + transType + '\'' +
                ", transProp='" + transProp + '\'' +
                ", goodsId='" + goodsId + '\'' +
                ", cntrWeight='" + cntrWeight + '\'' +
                ", qtyPlan='" + qtyPlan + '\'' +
                ", weightPlan='" + weightPlan + '\'' +
                ", ysl='" + ysl + '\'' +
                ", voy='" + voy + '\'' +
                ", loadAddr='" + loadAddr + '\'' +
                ", tLoadDate=" + tLoadDate +
                ", loadAttn='" + loadAttn + '\'' +
                ", loadAttntel='" + loadAttntel + '\'' +
                ", mdLoadAddr='" + mdLoadAddr + '\'' +
                ", tMdLoadDate=" + tMdLoadDate +
                ", mdLoadAttn='" + mdLoadAttn + '\'' +
                ", mdLoadAttnTel='" + mdLoadAttnTel + '\'' +
                ", unLoadAddr='" + unLoadAddr + '\'' +
                ", tUnLoadDate='" + tUnLoadDate + '\'' +
                ", unLoadAttn='" + unLoadAttn + '\'' +
                ", unLoadAttnTel='" + unLoadAttnTel + '\'' +
                ", cntrId='" + cntrId + '\'' +
                ", polId='" + polId + '\'' +
                ", podId='" + podId + '\'' +
                ", acceptDate=" + acceptDate +
                ", cntrQty=" + cntrQty +
                ", offData=" + offData +
                ", loadDate=" + loadDate +
                ", mdLoadDate=" + mdLoadDate +
                ", unLoadDate=" + unLoadDate +
                ", waybillDate=" + waybillDate +
                ", waybillRemarks='" + waybillRemarks + '\'' +
                ", oilAmt=" + oilAmt +
                ", costOth=" + costOth +
                ", driverbonus=" + driverbonus +
                ", costRemarks='" + costRemarks + '\'' +
                ", costomAmt06=" + costomAmt06 +
                ", costomAmt05=" + costomAmt05 +
                ", costomAmt04=" + costomAmt04 +
                ", costomAmt03=" + costomAmt03 +
                ", costomAmt02=" + costomAmt02 +
                ", costomAmt01=" + costomAmt01 +
                ", costomStr02=" + costomStr02 +
                ", costomStr01=" + costomStr01 +
                ", mBillNo='" + mBillNo + '\'' +
                ", billKind='" + billKind + '\'' +
                '}';
    }
}
